Aggiornamento in linea

6 risposte [Ultimo messaggio]
Ritratto di franco_da_vc
franco_da_vc
(Monster)
Offline
Monster
Iscritto: 22/05/2008
Messaggi: 315

Ultimamente si è sbloccato il meccanismo di aggiornamento in linea che da tempo non mi funzionava più, rimane però ancora un problema: all'attivamento compie alcune verifiche, ma poi se ne esce con questo messaggio:

Citazione:

You've to agree/decline a license


Cosa posso fare per attivare del tutto gli aggiornamenti?

Devo dirvi che ho già in casa la versione 15.1, ma che per vari motivi non ho ancora installato.

Ciao a tutti!

Bye by AFo

Ritratto di CarloCC
CarloCC
(Monster)
Offline
Monster
Iscritto: 06/04/2017
Messaggi: 329

Il messaggio è chiaro, devi accattare o rifiutare la licenza, non ho idea di cosa, comunque prova a farlo da terminale con
sudo zypper up

Acer Aspire E1-522 Amd Quad-Core E2-3800--Amd Radeon 8280
Acer Aspire M5500 Intel Quad-Core - Amd Radeon R5 230
Distribuzione openSUSE Leap 15 Kde Plasma5 - Tumbleweed

Ritratto di franco_da_vc
franco_da_vc
(Monster)
Offline
Monster
Iscritto: 22/05/2008
Messaggi: 315

Grazie CarloCC,

ho visto, si tratta di NVidia, più precisamente del pacchetto "nvidia-gfxG03-kmp-default", lo strano è che dopo aver ottenuto questa scritta:

Citazione:

Overall download size: 112.8 MiB. Already cached: 0 B. After the operation, additional 11.9 KiB will be
used.
Continue? [y/n/...? shows all options] (y):


io rispondo naturalmente y, a quel punto si apre il pager ed arrivato in fondo mi presenta il solito "q" per finire, a quel punto mi compare il messaggio:
Citazione:

Do you agree with the terms of the license? [yes/no] (no):


ma rispondendo affermativativamente torna ad aprire il pager ed il tutto si inlooppa così.

Come posso fare?

Grazie ancora.

Bye by AFo

Bye by AFo

Ritratto di mauriziod
mauriziod
(Guru)
Offline
Guru
Iscritto: 01/06/2009
Messaggi: 1707

Attenzione qualche volta sono più licenze che devi accettare (anche una decina), lo so è una rottura ma è la Legge e sembra che loppi ma non è come credi.

SO: Linux desktop Sistema: OpenSUSE Leap 15.1 (64bit) KDEE 5.12
SO: Linux desktop Sistema: OpenSUSE Tumbleweed (64bit) KDE 5
Miao

Ritratto di franco_da_vc
franco_da_vc
(Monster)
Offline
Monster
Iscritto: 22/05/2008
Messaggi: 315

Grazie, avevi proprio ragione.

Bye by AFo

Ritratto di franco_da_vc
franco_da_vc
(Monster)
Offline
Monster
Iscritto: 22/05/2008
Messaggi: 315

CarloCC ha scritto:

Il messaggio è chiaro, devi accattare o rifiutare la licenza, non ho idea di cosa, comunque prova a farlo da terminale con
sudo zypper up

Si è di nuovo bloccato zypper ed ho provato a seguire una seconda volta la tua traccia, ma questa volta ottengo un risultato diverso:

"Interrogazione zypper da terminale" ha scritto:

linux-gd5r:~ # zypper up
Loading repository data...
Reading installed packages...

The following 22 package updates will NOT be installed:
libavcodec57 libavdevice57 libavfilter6 libavformat57 libavresample3 libavutil55
libgstgl-1_0-0 libgstphotography-1_0-0 libpostproc54 libquicktime0 libsox3
libswresample2 libswscale4 libvlc5 libvlccore9 sox vlc vlc-codec-gstreamer vlc-lang
vlc-noX vlc-qt vlc-vdpau

Nothing to do.

A quanto pare vi sono dei pacchetti da reinstallare, ma ciò non succede, devo dire che ultimamente avevo abilitato i repository Packman ed Nvidia, non vorrei che questa azione mi avesse portato a questa condizione

Ringrazio.

Bye by AFo

Bye by AFo

Ritratto di mauriziod
mauriziod
(Guru)
Offline
Guru
Iscritto: 01/06/2009
Messaggi: 1707

Controlla che non disabilitasti dei repository per sbaglio, controlla con Yast->Repository

Poi fai (come root)
zypper clean --all

Qui esistono due sistemi o aggiorni da yast oppure con zypper

1) Con Yast:
Guarda
http://trucchisuse.altervista.org/blog/come-aggiornare-opensuse/
al paragrafo Yast

2) Con Zypper:
Digitare
zypper up

Quando esiste la licenza l'accetti e se entri dentro il testo della licenza, per uscire basta premere "q" (esci dal testo della licenza) e poi per confermare la licenza scrivere "yes" (ovviamente senza virgolette).

meglio poi fare
zypper dup --no-allow-vendor-change
Questo di solito riallinea i pacchetti verso i repository
Day Dreaming

SO: Linux desktop Sistema: OpenSUSE Leap 15.1 (64bit) KDEE 5.12
SO: Linux desktop Sistema: OpenSUSE Tumbleweed (64bit) KDE 5
Miao